commit 3e6908f3cc7765303380c39293fde42279a226e0
Author: freddy77 <freddy77>
Date:   Tue Feb 9 08:40:07 2010 +0000

    add _snprintf define for windows (patch from David Dick)

diff --git a/ChangeLog b/ChangeLog
index 3382276..6f62bc4 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Tue Feb  9 09:39:15 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds_sysdep_private.h:
+	- add _snprintf define for windows (patch from David Dick)
+
 Mon Feb  8 17:09:49 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* win32/msvc6/FreeTDS.dsw win32/msvc6/Makefile.am:
 	* win32/msvc6/libct.dsp:
@@ -2309,4 +2313,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2987 2010/02/08 16:12:35 freddy77 Exp $
+$Id: ChangeLog,v 1.2988 2010/02/09 08:40:07 freddy77 Exp $
diff --git a/include/tds_sysdep_private.h b/include/tds_sysdep_private.h
index b711448..dbe30e2 100644
--- a/include/tds_sysdep_private.h
+++ b/include/tds_sysdep_private.h
@@ -21,7 +21,7 @@
 #ifndef _tds_sysdep_private_h_
 #define _tds_sysdep_private_h_
 
-/* $Id: tds_sysdep_private.h,v 1.31 2010/01/09 23:41:52 freddy77 Exp $ */
+/* $Id: tds_sysdep_private.h,v 1.32 2010/02/09 08:40:07 freddy77 Exp $ */
 
 #undef TDS_RCSID
 #if defined(__GNUC__) && __GNUC__ >= 3
@@ -94,6 +94,7 @@ typedef DWORD pid_t;
 #define strncasecmp strnicmp
 #define atoll _atoi64
 #define vsnprintf _vsnprintf
+#define snprintf _snprintf
 
 #ifndef WIN32
 #define WIN32 1

